Update Warehouse Settings
PATCH/api/v5/repos/:owner/:repo
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
Query Parameters
access_token stringrequired
User authorization code
- application/json
Body
namestringrequired
Repository name
descriptionstring
Repository description
homepagestring
Project Address (e.g. https://gitcode.com)
pathstring
Update repository path
privateboolean
Repository is public or private. (true/false)
default_branchstring
Default branch
lfs_enabledboolean
Whether to enable LFS
tagsstring[]
Project Tags
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
idinteger
full_namestring
human_namestring
urlstring
pathstring
namestring
descriptionstring
privateinteger
publicinteger
namespace object
idinteger
namestring
pathstring
develop_modestring
regionnull
cellstring
kindstring
full_pathstring
full_namestring
parent_idnull
visibility_levelinteger
enable_file_controlinteger
owner_idnull
empty_reponull
starrednull
visibilitystring
ownernull
creatornull
forked_from_projectnull
item_typenull
main_repository_languagenull
homepagestring
{
"id": 0,
"full_name": "string",
"human_name": "string",
"url": "string",
"path": "string",
"name": "string",
"description": "string",
"private": 0,
"public": 0,
"namespace": {
"id": 0,
"name": "string",
"path": "string",
"develop_mode": "string",
"cell": "string",
"kind": "string",
"full_path": "string",
"full_name": "string",
"visibility_level": 0,
"enable_file_control": 0
},
"visibility": "string",
"homepage": "string"
}
{
"id": 34171993,
"full_name": "daming_1/test_create_project_2",
"human_name": "daming/test_create_project_2",
"url": "https://gitcode.com/api/v5/repos/daming_1/test_create_project_2",
"path": "test_create_project_2",
"name": "test_create_project_2",
"description": "description",
"private": false,
"public": true,
"namespace": {
"id": 74962,
"name": "group1111",
"path": "group11111",
"develop_mode": "normal",
"region": null,
"cell": "default",
"kind": "group",
"full_path": "group11111",
"full_name": "group1111",
"parent_id": null,
"visibility_level": 20,
"enable_file_control": false,
"owner_id": null
},
"empty_repo": null,
"starred": null,
"visibility": "public",
"owner": null,
"creator": null,
"forked_from_project": null,
"item_type": null,
"main_repository_language": null,
"homepage": "http://www.baidi.com"
}